node package manager

gulp-standard

gulp-standard

Build Status NPM version

Standard linter for gulp

Information

Packagegulp-standard
Description Standard plugin for gulp
Node version >= 0.9
gulp version 3.x

Usage

Install

$ npm install --save-dev gulp-standard

Examples

// include the required packages.
var gulp = require('gulp')
var standard = require('gulp-standard')
 
gulp.task('standard', function () {
  return gulp.src(['./app.js'])
    .pipe(standard())
    .pipe(standard.reporter('default', {
      breakOnError: true,
      quiet: true
    }))
})

Reporters

Built-in

You can choose a reporter when you call

stuff
  .pipe(standard())
  .pipe(standard.reporter('default', opts))
External

You can also use some other custom made reporter

var reporter = require(<SOME_REPORTER>)
 
stuff
  .pipe(standard())
  .pipe(standard.reporter(reporter, opts))

OR -

stuff
  .pipe(standard())
  .pipe(standard.reporter(<REPORTER NAME>, opts))

Reporter options

breakOnError

Type: boolean Default: false

Emit gulp error on reported error

breakOnWarning

Type: boolean Default: false

Emit gulp error on reported warning

quiet

Type: boolean Default: false

Suppress success messages, only show errors

showRuleNames

Type: boolean Default: false

Show rule names for errors/warnings (to ignore specific rules)

showFilePath

Type: boolean Default: false

Show the full file path with the line and column numbers (useful for IDEs that will link to that location)

LICENSE MIT